#include<vector>
#include<iostream>
#include<algorithm>
using namespace std;
int main()
{
    int n,q,i,k,o,spi=0;
    cin>>n>>q;
    vector<pair<int, int>> di;
    for(i=0;i<n;i++)
        cin>>di[i].first>>di[i].second;
        spi=spi+di[i-1].second;
    vector<int> kj;
    for(i=0;i<q;i++)
        cin>>kj[i];
    if(kj[i]<di[i].first){
        o=spi;
    }
    else{
        o=0;
    }

    cout<<o;
    return 0;
}